Name:           clean_nac
Version:        0.3
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            http://www.pclinuxos.com
Source:         %{name}-%{version}.tar.xz
Summary:        Clean New Activities
Summary(de):	Ein-/Ausblenden der KDE Cashew 
Group:          Graphics
Obsoletes:      %{name} < %version
Requires:	zenity bash oxygen-icon-theme
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
BuildRoot: 	%{_tmppath}/%{name}-build
BuildArch:	noarch

%description
Script to clean out surplus of New Activities in the KDE desktop.

%description -l de
Skript zum Säubern von überzähligen New Activities in der KDE Arbeitsfläche

%prep

%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name}.sh %{buildroot}/%{_bindir}/%{name}.sh

# define desktop files 
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/kde4
cat > $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=clean_nac
Exec=clean_nac.sh
Comment=Clean out surplus of New Activities
Icon=/usr/share/icons/oxygen/32x32/apps/plasma.png
Categories=System;X-MandrivaLinux-System-Configuration;
Terminal=false
Encoding=UTF-8
StartupNotify=true
OnlyShowIn=KDE
EOF


%files 
%defattr(-, root, root)
%{_bindir}/%{name}.sh
%{_datadir}/applications/kde4/%{name}.desktop

# Changes
#=======================================
%changelog
* Mon Feb 16 2015 pinoc <vogtpet at gmail.com> 0.3-1pclos2015
- update to newer KDE settings

* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 0.2-1pclos2012
- process

* Mon Oct 08 2012 Pinoc <vogtpet at gmail.com> 0.2-1pclos2012
- initial build
